package rest

import (
	"io"

	"git.ali33.ru/fcg-xvii/go-tools/json"
)

type IRequest interface {
	IsAuth() bool
	Command() string
	Auth() json.Map
	Data() json.Map
	FileKeys() []string
	File(name string) (io.Reader, bool)
	GenerateToken(data json.Map, expire int64) (string, error)
	Root() any
	ResponseSuccess(data json.Map, files map[string]io.ReadCloser) IResponse
	ResponseError(code int, err IErrorArgs) IResponse
}
